Deprecate libmusicbrainz-2.1, libtunepimp

Bug #793929 reported by Philipp Wolfer on 2011-06-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
abcde (Ubuntu)
Undecided
Unassigned
cynthiune.app (Debian)
Fix Released
Unknown
cynthiune.app (Ubuntu)
Undecided
Unassigned
ears (Ubuntu)
Undecided
Unassigned
gmerlin (Ubuntu)
Undecided
Unassigned
gst-plugins-bad0.10 (Ubuntu)
Undecided
Unassigned
kdemultimedia (Ubuntu)
Undecided
Unassigned
kid3 (Ubuntu)
Undecided
Unassigned
libmusicbrainz-2.1 (Ubuntu)
Medium
Timo Aaltonen
libmusicbrainz-ruby (Ubuntu)
Undecided
Unassigned
libtunepimp (Ubuntu)
Undecided
Unassigned
listen (Ubuntu)
Undecided
Unassigned
totem (Ubuntu)
Undecided
Unassigned
ubuntu-restricted-addons (Ubuntu)
Undecided
Unassigned

Bug Description

libmusicbrainz2 uses the long time deprecated and now completed removed MusicBrainz RDF web service.

This renders this package useless, it should get removed.

Timo Aaltonen (tjaalton) wrote :

Agreed. I've filed a transition bug on Debian (656587). It would also mean deprecating libtunepimp, which is just as obsolete.

Changed in libmusicbrainz-2.1 (Ubuntu):
assignee: nobody → Timo Aaltonen (tjaalton)
importance: Undecided → Medium
status: New → Triaged
summary: - Deprecate libmusicbrainz2
+ Deprecate libmusicbrainz-2.1, libtunepimp
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-restricted-addons - 11

---------------
ubuntu-restricted-addons (11) precise; urgency=low

  * kubuntu-restricted-addons-*: Drop libtunepim5, which is using
    an obsolete API of the musicbrainz service. (LP: #793929)
 -- Timo Aaltonen <email address hidden> Fri, 20 Jan 2012 13:32:35 +0200

Changed in ubuntu-restricted-addons (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kid3 - 2.0.1-1ubuntu1

---------------
kid3 (2.0.1-1ubuntu1) precise; urgency=low

  * Drop libtunepimp-dev build-dependency and configure the builds
    without it. (LP: #793929)
 -- Timo Aaltonen <email address hidden> Thu, 19 Jan 2012 22:11:50 +0200

Changed in kid3 (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-bad0.10 - 0.10.22-2ubuntu5

---------------
gst-plugins-bad0.10 (0.10.22-2ubuntu5) precise; urgency=low

  * Drop libmusicbrainz4-dev from build-depends, and drop libgsttrm.so
    from the list of installed files. (LP: #793929)
 -- Timo Aaltonen <email address hidden> Thu, 19 Jan 2012 21:26:41 +0200

Changed in gst-plugins-bad0.10 (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gmerlin - 1.0.0~dfsg-9ubuntu1

---------------
gmerlin (1.0.0~dfsg-9ubuntu1) precise; urgency=low

  * Drop libmusicbrainz4-dev from build-depends. (LP: #793929)
 -- Timo Aaltonen <email address hidden> Fri, 20 Jan 2012 14:08:27 +0200

Changed in gmerlin (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package listen - 0.6.5-7ubuntu1

---------------
listen (0.6.5-7ubuntu1) precise; urgency=low

  * Drop libtunepimp5 from Suggests, and python-tunepimp from
    Recommends. (LP: #793929)
 -- Timo Aaltonen <email address hidden> Fri, 20 Jan 2012 14:18:44 +0200

Changed in listen (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package abcde - 2.4.2-1ubuntu1

---------------
abcde (2.4.2-1ubuntu1) precise; urgency=low

  * Drop python-musicbrainz from Suggests, it's obsolete.
    (LP: #793929)
 -- Timo Aaltonen <email address hidden> Fri, 20 Jan 2012 14:25:35 +0200

Changed in abcde (Ubuntu):
status: New → Fix Released
Timo Aaltonen (tjaalton) wrote :

libmusicbrainz-ruby can be removed from the archive, it doesn't work and is not used by anything.

Changed in cynthiune.app (Ubuntu):
status: New → Triaged
Changed in kdemultimedia (Ubuntu):
assignee: nobody → Jonathan Riddell (jr)
status: New → Triaged
Changed in libtunepimp (Ubuntu):
status: New → Triaged
Changed in libmusicbrainz-ruby (Ubuntu):
status: New → Triaged
Timo Aaltonen (tjaalton) on 2012-01-20
Changed in libtunepimp (Ubuntu):
status: Triaged → In Progress
Changed in libmusicbrainz-2.1 (Ubuntu):
status: Triaged → In Progress
Timo Aaltonen (tjaalton) wrote :

ears is broken, and should be removed from the archive.

Changed in ears (Ubuntu):
status: New → Triaged
Timo Aaltonen (tjaalton) wrote :

Totem should get rid of the build-dependency on libmusicbrainz4-dev. After all, the functionality was removed in 1.3.0... :)

Changed in totem (Ubuntu):
status: New → Triaged
Changed in cynthiune.app (Debian):
status: Unknown → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdemultimedia - 4:4.8.0-0ubuntu1

---------------
kdemultimedia (4:4.8.0-0ubuntu1) precise; urgency=low

  [ Michal Zajac ]
  * New upstream release
   - Bump build-deps to 4.8.0

  [ Scott Kitterman ]
  * Drop obsolete build-depends on libtunepimp-dev LP: #793929
 -- Scott Kitterman <email address hidden> Thu, 19 Jan 2012 17:42:51 -0500

Changed in kdemultimedia (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package totem - 3.0.1-0ubuntu16

---------------
totem (3.0.1-0ubuntu16) precise; urgency=low

  * Drop build-dependency on libmusicbrainz4-dev (LP: #793929).
 -- Timo Aaltonen <email address hidden> Tue, 31 Jan 2012 12:42:57 +0200

Changed in totem (Ubuntu):
status: Triaged → Fix Released
Timo Aaltonen (tjaalton) wrote :

Archive-admins: the remaining packages can now be removed from the archive:

ears
libmusicbrainz-ruby
libmusicbrainz-2.1
libtunepimp

if I've missed something, please yell :)

Changed in kdemultimedia (Ubuntu):
assignee: Jonathan Riddell (jr) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cynthiune.app - 0.9.5-13ubuntu4

---------------
cynthiune.app (0.9.5-13ubuntu4) precise; urgency=low

  * Add disable-musicbrainz.diff: Disable the button for MB lookups,
    it wouldn't work anyway.
  * Drop build-dependency on libmusicbrainz4-dev (LP: #793929).
 -- Timo Aaltonen <email address hidden> Tue, 31 Jan 2012 17:56:16 +0200

Changed in cynthiune.app (Ubuntu):
status: Triaged → Fix Released
Colin Watson (cjwatson) wrote :

2012-03-09 17:58:31 INFO Creating lockfile: /var/lock/launchpad-lp-remove-package.lock
2012-03-09 17:58:40 INFO Removing candidates:
2012-03-09 17:58:40 INFO libmusicbrainz-ruby 0.3.0-1 in precise
2012-03-09 17:58:40 INFO libmusicbrainz-ruby1.8 0.3.0-1 in precise amd64
2012-03-09 17:58:40 INFO libmusicbrainz-ruby1.8 0.3.0-1 in precise armel
2012-03-09 17:58:40 INFO libmusicbrainz-ruby1.8 0.3.0-1 in precise armhf
2012-03-09 17:58:40 INFO libmusicbrainz-ruby1.8 0.3.0-1 in precise i386
2012-03-09 17:58:40 INFO libmusicbrainz-ruby1.8 0.3.0-1 in precise powerpc
2012-03-09 17:58:40 INFO Removed-by: Colin Watson
2012-03-09 17:58:40 INFO Comment: (From Debian) RoQA; RC buggy, dead upstream, maintainer does not answer; Debian bug #661737; LP: #793929
2012-03-09 17:58:40 INFO 6 packages successfully removed.
Confirm this transaction? [yes, no] yes
2012-03-09 17:58:44 INFO Transaction committed.
2012-03-09 17:58:44 INFO The archive will be updated in the next publishing cycle.

Changed in libmusicbrainz-ruby (Ubuntu):
status: Triaged → Fix Released
Colin Watson (cjwatson) wrote :

2012-03-09 18:00:20 INFO Creating lockfile: /var/lock/launchpad-lp-remove-package.lock
2012-03-09 18:00:30 INFO Removing candidates:
2012-03-09 18:00:30 INFO ears 1.0.1-2 in precise
2012-03-09 18:00:30 INFO ears 1.0.1-2 in precise amd64
2012-03-09 18:00:30 INFO ears 1.0.1-2 in precise armel
2012-03-09 18:00:30 INFO ears 1.0.1-2 in precise armhf
2012-03-09 18:00:30 INFO ears 1.0.1-2 in precise i386
2012-03-09 18:00:30 INFO ears 1.0.1-2 in precise powerpc
2012-03-09 18:00:30 INFO Removed-by: Colin Watson
2012-03-09 18:00:30 INFO Comment: requested by tjaalton; requires MusicBrainz RDF web service which no longer exists; LP: #793929
2012-03-09 18:00:30 INFO 6 packages successfully removed.
Confirm this transaction? [yes, no] yes
2012-03-09 18:00:31 INFO Transaction committed.
2012-03-09 18:00:31 INFO The archive will be updated in the next publishing cycle.

Changed in ears (Ubuntu):
status: Triaged → Fix Released
Colin Watson (cjwatson) wrote :

2012-03-09 18:01:46 INFO Creating lockfile: /var/lock/launchpad-lp-remove-package.lock
2012-03-09 18:01:55 INFO Removing candidates:
2012-03-09 18:01:55 INFO libtunepimp 0.5.3-7.5ubuntu2 in precise
2012-03-09 18:01:55 INFO libtunepimp-dev 0.5.3-7.5ubuntu2 in precise amd64
2012-03-09 18:01:55 INFO libtunepimp-dev 0.5.3-7.5ubuntu2 in precise armel
2012-03-09 18:01:55 INFO libtunepimp-dev 0.5.3-7.5ubuntu2 in precise armhf
2012-03-09 18:01:55 INFO libtunepimp-dev 0.5.3-7.5ubuntu2 in precise i386
2012-03-09 18:01:55 INFO libtunepimp-dev 0.5.3-7.5ubuntu2 in precise powerpc
2012-03-09 18:01:55 INFO libtunepimp5 0.5.3-7.5ubuntu2 in precise amd64
2012-03-09 18:01:55 INFO libtunepimp5 0.5.3-7.5ubuntu2 in precise armel
2012-03-09 18:01:55 INFO libtunepimp5 0.5.3-7.5ubuntu2 in precise armhf
2012-03-09 18:01:55 INFO libtunepimp5 0.5.3-7.5ubuntu2 in precise i386
2012-03-09 18:01:55 INFO libtunepimp5 0.5.3-7.5ubuntu2 in precise powerpc
2012-03-09 18:01:55 INFO libtunepimp5-dbg 0.5.3-7.5ubuntu2 in precise amd64
2012-03-09 18:01:55 INFO libtunepimp5-dbg 0.5.3-7.5ubuntu2 in precise armel
2012-03-09 18:01:55 INFO libtunepimp5-dbg 0.5.3-7.5ubuntu2 in precise armhf
2012-03-09 18:01:55 INFO libtunepimp5-dbg 0.5.3-7.5ubuntu2 in precise i386
2012-03-09 18:01:55 INFO libtunepimp5-dbg 0.5.3-7.5ubuntu2 in precise powerpc
2012-03-09 18:01:55 INFO python-tunepimp 0.5.3-7.5ubuntu2 in precise amd64
2012-03-09 18:01:55 INFO python-tunepimp 0.5.3-7.5ubuntu2 in precise armel
2012-03-09 18:01:55 INFO python-tunepimp 0.5.3-7.5ubuntu2 in precise armhf
2012-03-09 18:01:55 INFO python-tunepimp 0.5.3-7.5ubuntu2 in precise i386
2012-03-09 18:01:55 INFO python-tunepimp 0.5.3-7.5ubuntu2 in precise powerpc
2012-03-09 18:01:55 INFO Removed-by: Colin Watson
2012-03-09 18:01:55 INFO Comment: requested by tjaalton; requires MusicBrainz RDF web service which no longer exists; LP: #793929
2012-03-09 18:01:56 INFO 21 packages successfully removed.
Confirm this transaction? [yes, no] yes
2012-03-09 18:01:58 INFO Transaction committed.
2012-03-09 18:01:58 INFO The archive will be updated in the next publishing cycle.

Changed in libtunepimp (Ubuntu):
status: In Progress → Fix Released
Colin Watson (cjwatson) wrote :

2012-03-09 18:03:05 INFO Creating lockfile: /var/lock/launchpad-lp-remove-package.lock
2012-03-09 18:03:14 INFO Removing candidates:
2012-03-09 18:03:14 INFO libmusicbrainz-2.1 2.1.5-6.2 in precise
2012-03-09 18:03:14 INFO libmusicbrainz4c2a 2.1.5-6.2 in precise amd64
2012-03-09 18:03:14 INFO libmusicbrainz4c2a 2.1.5-6.2 in precise armel
2012-03-09 18:03:14 INFO libmusicbrainz4c2a 2.1.5-6.2 in precise armhf
2012-03-09 18:03:14 INFO libmusicbrainz4c2a 2.1.5-6.2 in precise i386
2012-03-09 18:03:14 INFO libmusicbrainz4c2a 2.1.5-6.2 in precise powerpc
2012-03-09 18:03:14 INFO python-musicbrainz 2.1.5-6.2 in precise amd64
2012-03-09 18:03:14 INFO python-musicbrainz 2.1.5-6.2 in precise armel
2012-03-09 18:03:14 INFO python-musicbrainz 2.1.5-6.2 in precise armhf
2012-03-09 18:03:14 INFO python-musicbrainz 2.1.5-6.2 in precise i386
2012-03-09 18:03:14 INFO python-musicbrainz 2.1.5-6.2 in precise powerpc
2012-03-09 18:03:14 INFO Removed-by: Colin Watson
2012-03-09 18:03:14 INFO Comment: requested by tjaalton; requires MusicBrainz RDF web service which no longer exists; LP: #793929
2012-03-09 18:03:15 INFO 11 packages successfully removed.
Confirm this transaction? [yes, no] yes
2012-03-09 18:03:26 INFO Transaction committed.
2012-03-09 18:03:26 INFO The archive will be updated in the next publishing cycle.

Changed in libmusicbrainz-2.1 (Ubuntu):
status: In Progress → Fix Released
Colin Watson (cjwatson) wrote :

Unsubscribed ubuntu-archive now, since we can't do anything about the remaining Debian task on this bug. Feel free to resubscribe us if there's some other action for us to take.

Changed in cynthiune.app (Debian):
status: New → Fix Committed
Changed in cynthiune.app (Debian):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.